- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_dri2_authenticate_request_t Struct Reference
[XCB DRI2 API]

xcb_dri2_authenticate_request_t More...

`#include <dri2.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
xcb_window_t | window
uint32_t | magic

## Detailed Description

xcb_dri2_authenticate_request_t

## Field Documentation

uint8_t xcb_dri2_authenticate_request_t::major_opcode

uint8_t xcb_dri2_authenticate_request_t::minor_opcode

uint16_t xcb_dri2_authenticate_request_t::length

xcb_window_t xcb_dri2_authenticate_request_t::window

uint32_t xcb_dri2_authenticate_request_t::magic

The documentation for this struct was generated from the following file:

- dri2.h